Nios® V/II Embedded Design Suite (EDS)
Support for Embedded Development Tools, Processors (SoCs and Nios® V/II processor), Embedded Development Suites (EDSs), Boot and Configuration, Operating Systems, C and C++
Announcements
All support for Intel NUC 7 - 13 systems has transitioned to ASUS. Read latest update.
12579 Discussions

Eclipse 20.1 Fails to Program Nios unless Programmer Open in Quartus

James_B
New Contributor II
944 Views

I get the message "Unable to validate connection settings" in Eclipse 20.1 when attempting to program the Nios II processor on the DE10-Nano board when the FPGA section is already programmed. 

If I have the programmer open in Quartus, then Eclipse can download the program successfully. 

This doesn't make sense, can someone please explain? Is it that Eclipse 20.1 has to see a USB identifier or something that is enabled when the Quartus programming tool is open? 

Thanks. James

0 Kudos
1 Solution
James_B
New Contributor II
862 Views

Aik, 

Thanks for the feedback here. No, nothing more is required on this. The issue has been consistent. The solution has been to always open the JTAG programmer before opening Eclipse. 

Thanks, James

View solution in original post

0 Kudos
2 Replies
aikeu
Employee
869 Views

Hi James_B,


Sorry for late reply, do you still requires help on this?


Thanks.


Regards,

Aik Eu


0 Kudos
James_B
New Contributor II
863 Views

Aik, 

Thanks for the feedback here. No, nothing more is required on this. The issue has been consistent. The solution has been to always open the JTAG programmer before opening Eclipse. 

Thanks, James

0 Kudos
Reply